Subject: Re: [OSPF] Unnumbered Interfaces in OSPF for IPv6

From: "Vivek Dubey" <[email-masked]>
Date: 15 May 2006 04:20:20 -0000

Hi Acee,
Few points:
1) Ipv6 standard does not mandate that each Ipv6 interface should be
   assigned Ipv6 address (global or non-global) (RFC 4293)
2) Ospfv3 interfaces take same ifIndex in there interface definition

Do you forsee any issues in allowing un-numbered p2p interfaces in OSPF?

Further based on above two points, OSPF WG should(IMHO):
1) Either let un-numbered P2P interfaces be configured at Ospf level
2) Or make a stronger case i.e use "SHOULD". "Assumption" is leaving too much scope for interpretations.

-Vivek

On Wed, 10 May 2006 Acee Lindem wrote :
>Hi Ramana,
>
>Ramana Koppula-G20085 wrote:
>
>>hi all,
>>
>>In section 2.5 of "draft-ietf-ospf-ospfv3-update-08.txt", there is some
>>assumption about link-local unicast addresses that OSPF makes:
>>
>>"OSPF for IPv6 assumes that each router has been assigned link-local
>>unicast addresses on each of the router's attached physical links." Does
>>it mean that OSPF for IPv6 does not Unnumbered Interfaces. But in some
>>writings that I googled, i found that Unnumbered support is there in
>>OSPF for IPv6.
>>  
>While some implementations have chosen to support configuration, IMHO there should be
>not be the concept of an unnumbered link in IPv6. Hence, you have interfaces with global
>addresses and interfaces without global addresses. Every IPv6 interface should have a
>link-local address.
>
>>I have two doubts on this:
>>
>>1) As we donot have shortage of addresses in IPv6, why should be support
>>Unnumbered interfaces in IPv6 at all?
>>  
>We shouldn't - see above.
>
>>2) If it is supported, how can we make OSPF for IPv6 assumption true?
>>  
>That's an implementation problem.
>
>Hope this helps,
>Acee
>P.S. There is only one reference to "an unnumbered point-to-point link" in
>draft-ietf-ospf-ospfv3-update-08.txt. I'll change this to "a point-to-point link
>with no global IPv6 addresses" to avoid confusion.
>
>>thanx
>>
>>ramana
>>
>>
>>  
>>------------------------------------------------------------------------
>>
>>_______________________________________________
>>OSPF mailing list
>>[email-masked]
>>https://www1.ietf.org/mailman/listinfo/ospf
>>  
>
>_______________________________________________
>OSPF mailing list
>[email-masked]
>https://www1.ietf.org/mailman/listinfo/ospf
_______________________________________________
OSPF mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ospf

---

From: Acee Lindem <[email-masked]>
Date: Mon, 15 May 2006 11:44:28 -0400

>2) Ospfv3 interfaces take same ifIndex in there interface definition
Vivek,
Refer to section 2.1 of RFC 4291. It clearly states that "All interfaces 
are required
to have at least one link-local address (see Section 2.8 for additional 
required addresses)."

Thanks,
Acee